import { select } from 'd3';

const svg = select('svg');

const width = document.body.clientWidth;
const height = document.body.clientHeight;

svg
    .attr('width', width)
    .attr('height', height)
  .append('rect')
    .attr('width', width)
    .attr('height', height)
    .attr('rx', 40);


const render = data => { 
  let circles = svg.selectAll('circle')
    .data(data)
      .attr('cx', d => d);
  
  circles.transition().duration(700)
      .attr('fill', 'orange'); // This color applies to the 'update' selection.
  
  circles
    .exit()
      .transition().duration(500)
      .attr('fill', 'red') // This color applies to the 'update' selection.
      .remove()
    
  circles
    .enter()
    .append('circle')
      .attr('cy', 250)
      .attr('r', 100)
      .attr('fill', 'blue') // This color applies to the 'update' selection.
    .merge(circles)
      .attr('cx', d => d)
      .attr('fill', 'green'); // This color applies to the 'enter' selection.
}

render([300, 500]); // Enter

setTimeout(() => {
  render([200, 400, 600, 800]); // Update + Enter
}, 1000);

setTimeout(() => {
  render([ 400, 500, 800]); // Update + Enter
}, 2000);

setTimeout(() => {
  render([ 400, 600]); // Update + Enter
}, 2000);

setTimeout(() => {
  render([]); // Update + Enter
}, 3000);


setTimeout(() => {
  render([300, 700]); // Update + Enter
}, 4000);




//render([]) // Exit
